Oracle Linux 4 : gdm (ELSA-2007-0286)

Low Nessus Plugin ID 67483


The remote Oracle Linux host is missing a security update.


From Red Hat Security Advisory 2007:0286 :

An updated gdm package that fixes a security issue and a bug is now available.

This update has been rated as having low security impact by the Red Hat Security Response Team.

Gdm (the GNOME Display Manager) is a highly configurable reimplementation of xdm, the X Display Manager. Gdm allows you to log into your system with the X Window System running and supports running several different X sessions on your local machine at the same time.

Marcus Meissner discovered a race condition issue in the way Gdm modifies the permissions on the .ICEauthority file. A local attacker could exploit this flaw to gain privileges. Due to the nature of the flaw, however, a successful exploitation was unlikely. (CVE-2006-1057)

This erratum also includes a bug fix to correct the pam configuration for the audit system.

All users of gdm should upgrade to this updated package, which contains backported patches to resolve these issues.


Update the affected gdm package.

See Also

Plugin Details

Severity: Low

ID: 67483

File Name: oraclelinux_ELSA-2007-0286.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.7

Vector: CVSS2#AV:L/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:gdm, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/05/17

Reference Information

CVE: CVE-2006-1057

RHSA: 2007:0286